<?php
session_start();
require("../../database/dbConection.php");


$opcaoAcesso = $_POST['opcaoAcesso'];

switch ($opcaoAcesso) {
  case "selecionar-perfil":
    $_SESSION['idPerfilValida'] = $_POST['idPerfil'];
    $_SESSION['idPerfilLogado'] = $_POST['idPerfil'];
    $_SESSION['unidadeLogada']  = $_POST['idUnidade'];
    $_SESSION['visualizarVagas']  = $_POST['visualizarVagas'];
    $_SESSION['agendaVisivel']  = $_POST['agendaVisivel'];
    $_SESSION['nomePerfilLogado'] = ucwords(mb_strtolower($_POST['nomePerfil']));
    
    if (isset($_POST['leuAtualizacao'])) {
      $_SESSION['leuAtualizacao'] = $_POST['leuAtualizacao'];
    } else {
      $_SESSION['leuAtualizacao'] = "S";
    }

    # -- pegar informação se a unidade usa painel de senha -- #
    $stmUnidadeTemPainel  = $rsConexao->prepare("SELECT usa_painelsenha FROM tb_estabelecimento WHERE codigoestabelecimento_cnes='" . $_SESSION['unidadeLogada'] . "'");
    $stmUnidadeTemPainel->execute();
    $rsUnidadeTemPainel   = $stmUnidadeTemPainel->fetch(PDO::FETCH_OBJ);
    $_SESSION['unidadeLogadaUsaPeinel'] = $rsUnidadeTemPainel->usa_painelsenha;
    $_SESSION['atendimentoIniciado']  = "N";

    # -- captura de dados do sistema vindo da tabela de configurações do sistema--#
    $_SESSION['paginaPainel'] = "painel";
    echo $_SESSION['paginaPainel'];

    # -- VERIFICAR SE CPF DO PROFISSIONAL ESTÁ NA TABELA DE PROFISSIONAIS PARA ATENDIMENTO -- #
    if ($_SESSION['nomePerfilLogado'] == "Executante") {
      $cpfUsuarioLogin = $_SESSION['cpfValidaProfissional'];
      $sqlVinculoProfissional = "SELECT tb_profissional.codigoprofissional_cnes,
      tb_profissional_vinculo.codigoestabelecimento_cnes,
      tb_profissional.cpf_profissional
      FROM tb_profissional_vinculo
      INNER JOIN tb_profissional ON (tb_profissional_vinculo.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
      WHERE (tb_profissional.cpf_profissional='$cpfUsuarioLogin')
      AND (codigoestabelecimento_cnes='" . $_SESSION['unidadeLogada'] . "')";
      $stmProfissionalCNES = $rsConexao->prepare($sqlVinculoProfissional);
      $stmProfissionalCNES->execute();
      if ($stmProfissionalCNES->rowCount() > 0) {
        $_SESSION['executanteAtendimentoConsultorio'] = "S";
      } else {
        $_SESSION['executanteAtendimentoConsultorio'] = "N";
      }
    }

    break;


  case "iniciar-atendimento-painel-solicitante":
    $_SESSION['atendimentoIniciado'] = "S";
    $_SESSION['setorAtendimentoIniciar'] = $_POST['setorAtendimentoIniciar'];
    $_SESSION['guicheMesaIniciar'] = $_POST['guicheMesaIniciar'];
    $_SESSION['tipoAtendimento'] = $_POST['tipoAtendimento'];
    break;

  case "iniciar-atendimento-painel-executante":
    $_SESSION['atendimentoIniciado'] = "S";
    $_SESSION['setorAtendimentoIniciar'] = $_POST['setorAtendimentoIniciar'];
    $cpfValidaProfissional = $_SESSION['cpfValidaProfissional'];
    $setorProfissionalLogado = $rsConexao->prepare("UPDATE tb_profissional SET id_setorlogado='".$_POST['setorAtendimentoIniciar']."' WHERE (cpf_profissional='$cpfValidaProfissional')");
    $setorProfissionalLogado ->execute();
    break;    
}
